import { trigger, style, state, transition, animate } from '@angular/animations';

export const zoom = trigger('zoom', [state('inactive', style({
  backgroundColor: '#fff',
  transform: 'scale(1)'
})), state('active', style({
  backgroundColor: 'pink',
  transform: 'scale(1.2)'
})),
  transition('inactive => active', animate('300ms ease-in')),
  transition('active => inactive', animate('300ms ease-out')),
]);
